Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class AbstractFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding

All Implemented Interfaces:
  FullBinding

    public abstract class AbstractFullBinding

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.1

Field Summary
`protected Closure` | `converter`
`protected Closure` | `reverseConverter`
`protected SourceBinding` | `sourceBinding`
`protected TargetBinding` | `targetBinding`
`protected Closure` | `validator`

Method Summary
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `reverseUpdate()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding sourceBinding)`
`void` | `setTargetBinding(TargetBinding targetBinding)`
`void` | `setValidator(Closure validator)`
`void` | `update()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### converter

    protected Closure converter

### reverseConverter

    protected Closure reverseConverter

### sourceBinding

    protected SourceBinding sourceBinding

### targetBinding

    protected TargetBinding targetBinding

### validator

    protected Closure validator

Method Detail

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### reverseUpdate

    public void reverseUpdate()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding sourceBinding)

### setTargetBinding

    public void setTargetBinding(TargetBinding targetBinding)

### setValidator

    public void setValidator(Closure validator)

### update

    public void update()

Groovy Documentation